Publish a draft article (requires write scope)
Re-indexes the article in the vector store for AI agent retrieval.
POST
/projects/{projectId}/kb/articles/{articleId}/publish
Re-indexes the article in the vector store for AI agent retrieval.
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
articleId
string
required
path
Responses
200
Published
No response body
curl -X POST 'https://api.rogeriq.com/api/v1/projects/string/kb/articles/string/publish' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/kb/articles/string/publish', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.rogeriq.com/api/v1/projects/string/kb/articles/string/publish', headers=headers)print(response.json())
API Playground
Try this endpoint
POST
/projects/{projectId}/kb/articles/{articleId}/publish